Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Interface IToggleBreakpointsTarget

public interface IToggleBreakpointsTarget

An adapter to support breakpoint creation/deletion for an active part or selection within an active part. The debug platform provides retargettable actions for toggling line breakpoints, method breakpoints, and watchpoints. A debug implementation can plug into the global actions by providing an adapter of this type on relevant parts and objects. The debug platform provides one command and keybinding for each breakpoint operation.

When a part is activated, a retargettable action asks the part for its `IToggleBreakpointTarget` adapter. If one exists, that adapter is delegated to to perform breakpoint operations when the user invokes an associated action. If an adapter does not exist for the part, the retargettable actions asks selected objects in the active part for an adapter. Generally, a debug implementation will provide breakpoint adapters for relevant editors and model objects.

Clients are intended to implement this interface and provide instances as an adapter on applicable parts (for example, editors) and objects (for example, methods and fields) that support breakpoint toggling.

Since:
  3.0

Method Summary
`boolean` | `canToggleLineBreakpoints(IWorkbenchPart part, ISelection selection)` Returns whether line breakpoints can be toggled on the given selection.
`boolean` | `canToggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)` Returns whether method breakpoints can be toggled on the given selection.
`boolean` | `canToggleWatchpoints(IWorkbenchPart part, ISelection selection)` Returns whether watchpoints can be toggled on the given selection.
`void` | `toggleLineBreakpoints(IWorkbenchPart part, ISelection selection)` Creates new line breakpoints or removes existing breakpoints.
`void` | `toggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)` Creates new method breakpoints or removes existing breakpoints.
`void` | `toggleWatchpoints(IWorkbenchPart part, ISelection selection)` Creates new watchpoints or removes existing breakpoints.

Method Detail

### toggleLineBreakpoints

    public void toggleLineBreakpoints(IWorkbenchPart part,
                                      ISelection selection)
                               throws CoreException

  Creates new line breakpoints or removes existing breakpoints. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which line breakpoints should be toggled
  Throws:
    `CoreException` - if unable to perform the action

### canToggleLineBreakpoints

    public boolean canToggleLineBreakpoints(IWorkbenchPart part,
                                            ISelection selection)

  Returns whether line breakpoints can be toggled on the given selection. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which line breakpoints may be toggled
  Returns:
    whether line breakpoints can be toggled on the given selection

### toggleMethodBreakpoints

    public void toggleMethodBreakpoints(IWorkbenchPart part,
                                        ISelection selection)
                                 throws CoreException

  Creates new method breakpoints or removes existing breakpoints. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which method breakpoints should be toggled
  Throws:
    `CoreException` - if unable to perform the action

### canToggleMethodBreakpoints

    public boolean canToggleMethodBreakpoints(IWorkbenchPart part,
                                              ISelection selection)

  Returns whether method breakpoints can be toggled on the given selection. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which method breakpoints may be toggled
  Returns:
    whether method breakpoints can be toggled on the given selection

### toggleWatchpoints

    public void toggleWatchpoints(IWorkbenchPart part,
                                  ISelection selection)
                           throws CoreException

  Creates new watchpoints or removes existing breakpoints. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which watchpoints should be toggled
  Throws:
    `CoreException` - if unable to perform the action

### canToggleWatchpoints

    public boolean canToggleWatchpoints(IWorkbenchPart part,
                                        ISelection selection)

  Returns whether watchpoints can be toggled on the given selection. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - selection on which watchpoints may be toggled
  Returns:
    whether watchpoints can be toggled on the given selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.